Bug 1786174 (CVE-2019-19769) - CVE-2019-19769 kernel: use-after-free in perf_trace_lock_acquire related to include/trace/events/lock.h
Summary: CVE-2019-19769 kernel: use-after-free in perf_trace_lock_acquire related to i...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-19769
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1786175 1834786 1834787 1834788
Blocks: 1786176
TreeView+ depends on / blocked
 
Reported: 2019-12-23 17:52 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-07-06 13:27 UTC (History)
49 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free flaw was found when wakeup a waiter was in race in the locks_delete_block in fs/locks.c function in the Linux kernel's filesystem. A local attacker with a special user account (or root) may cause a denial of service, a system crash, or a leak in the internal kernel information.
Clone Of:
Environment:
Last Closed: 2020-07-06 13:27:37 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2019-12-23 17:52:50 UTC
An use-after-free (UAF)  flaw was found when wakeup a waiter was in race  in locks_delete_block in fs/locks.c in the Linux kernel's filesystem.  A local attacker with a special user account (or root) may cause a denial of access (DoS), a system crash or leak internal kernel information.

Reference:
https://bugzilla.kernel.org/show_bug.cgi?id=205705

Comment 1 Guilherme de Almeida Suckevicz 2019-12-23 17:54:41 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1786175]

Comment 8 Rohit Keshri 2020-05-12 12:20:46 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 12 Rohit Keshri 2020-07-01 12:29:21 UTC
This exploit is only possible with a special privileged user account locally (AV:L, PR:H) so in the initial i set it to Priority:Low
  
Since this is a UAF problem which will expose kernel address which is readable (C:H) and modifiable (I:H) (by a special user along with root) set Priority: Medium.

Comment 15 Product Security DevOps Team 2020-07-06 13:27:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19769


Note You need to log in before you can comment on or make changes to this bug.